<?php
namespace Claromentis\News\Comments;

$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("_d3c72043723006b659492f087d" . "df1fdf" => base64_decode("bm" . "V3" . "cw" . "=="), "_191a9c694701b5e98f9b02b73105f" . "5cf" => base64_decode("Q29tbWVudERlbGV0ZWRFdmVudFJlY2V" . "pdmVy"), "_4e7af63a0a4c1ea" . "fe5742f795b98e32" . "3" => base64_decode("TmV3cyBjb21tZW50I" . "CM="), "_2e799a34cc60c12ca876d" . "27b573a11eb" => base64_decode("IGFkZG" . "Vk"), "commen" . "t" => base64_decode("Y29t" . "bWVu" . "dA=="), "_d50d529d5739" . "d103bc48e65a4" . "b513fe3" => base64_decode("Q29tbWVudEFkZGVkRXZlbnRSZWNlaXZlcg=" . "="), "_e8d7d527b284cadd317dfbdb1" . "0b34e4e" => base64_decode("Q29tbWVudFVwZGF0ZWRFdmVudFJlY2Vpdm" . "Vy"));
use ClaAudit;
use Claromentis\Comments\Events\CommentAddedEvent;
use Claromentis\Comments\Events\CommentDeletedEvent;
use Claromentis\Comments\Events\CommentUpdatedEvent;
use Claromentis\Comments\Model\Comment;
use Claromentis\Search\Indexing\IndexingQueue;
use Claromentis\Search\ItemType\Indexing\News;
use NewsItem;
use Symfony\Component\EventDispatcher\EventDispatcherInterface;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;






class CommentsSubscriber implements EventSubscriberInterface
{
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    public static function getSubscribedEvents()
    {
        return [CommentAddedEvent::EVENT_NAME => $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_d50d529" . "d5739d10" . "3bc48e65" . "a4b513fe" . "3"], CommentDeletedEvent::EVENT_NAME => $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_191a9c6" . "94701b5e" . "98f9b02b" . "73105f5c" . "f"], CommentUpdatedEvent::EVENT_NAME => $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_e8d7d527b284cadd317dfbdb1" . "0b34e4e"]];
    }
    public function CommentAddedEventReceiver(CommentAddedEvent $event, $_5693d84b45564f912e36404cbe8957e8, EventDispatcherInterface $dispatcher)
    {
        
        
        $comment = $event->GetComment();
        $_60378eae7533ef2a18e2cf710db06291 = new NewsItem();
        $_60378eae7533ef2a18e2cf710db06291->Load($comment->object_id);
        if (!$_60378eae7533ef2a18e2cf710db06291->is_draft && $_60378eae7533ef2a18e2cf710db06291->IsApproved()) {
            
            
            if ((int) $comment->aggregation === AGGREGATION_NEWS) {
                IndexingQueue::Reindex(News::TYPE_NAME, $comment->object_id);
                ClaAudit::Store(AUDIT_SUCCESS, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_d3c72043723006b659492f087ddf1f" . "df"], $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["co" . "mm" . "en" . "t"], $comment->object_id, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_4e7af63a0a4c1eafe5742f795b98" . "e323"] . $comment->id . $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_2e799a34cc60c12ca876d27b5" . "73a11eb"]);
                $event->stopPropagation();
            }
        }
    }
    public function CommentDeletedEventReceiver(CommentDeletedEvent $event)
    {
        
        
        $comment = $event->GetComment();
        $_60378eae7533ef2a18e2cf710db06291 = new NewsItem();
        $_60378eae7533ef2a18e2cf710db06291->Load($comment->object_id);
        if (!$_60378eae7533ef2a18e2cf710db06291->is_draft && $_60378eae7533ef2a18e2cf710db06291->IsApproved()) {
            if ((int) $comment->aggregation === AGGREGATION_NEWS) {
                IndexingQueue::Reindex(News::TYPE_NAME, $comment->object_id);
                $event->stopPropagation();
            }
        }
    }
    public function CommentUpdatedEventReceiver(CommentUpdatedEvent $event)
    {
        
        
        $comment = $event->GetComment();
        $_60378eae7533ef2a18e2cf710db06291 = new NewsItem();
        $_60378eae7533ef2a18e2cf710db06291->Load($comment->object_id);
        if (!$_60378eae7533ef2a18e2cf710db06291->is_draft && $_60378eae7533ef2a18e2cf710db06291->IsApproved()) {
            if ((int) $comment->aggregation === AGGREGATION_NEWS) {
                IndexingQueue::Reindex(News::TYPE_NAME, $comment->object_id);
                $event->stopPropagation();
            }
        }
    }
}